magicmarker
1 Nickel

Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

I have an Avamar Gen3  system, 3 node grid on 6.1.1-87 with an NDMP accelerator on Gen3. Customer wants to add another single node 7.8TB Gen4S system on version 7.0 to take some of the load off the existing system. They also want to repurpose the existing NDMP accelerator node to the new 7.0 Gen4S Single node. Can this be done without issues?

0 Kudos
1 Solution

Accepted Solutions
Moderator
Moderator

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Hey,

I'm not sure, but in my opinion, it may possible to use Avamar 6.1 accelerator gen3 to backup Avamar server 7.0 Gen4S.

Avamar 7.0 NDMP Accelerator User Guide has following contents on page 49.

Running a newer later accelerator with a older Avamar server

If you upgrade accelerator software to a newer version, but do not also upgrade the Avamar server software to the same version, you must manually update the avtar binary on the Avamar server utility node. Otherwise, you will not be able to continue backing up to the older Avamar server.

I think in other words, it means avtar binary version needs to be same or higher than accelerator software version at least. Absolutely, the avtar binary of Avamar server 7.0 is higher than Avamar 6.1 accelerator software in your environment. It meets the requirement. In addition, I cannot find any documentation said accelerator gen3 cannot backup Avamar server 7.0. So, I think you can to try first.


Hope this helps.

0 Kudos
14 Replies

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Hello,

Please go through following document. I hope it will help you.

Page number - 48

https://support.emc.com/docu48234_Avamar-7.0-NDMP-Accelerator-User-Guide.pdf?language=en_US

Regards,

Pawan Kumawat

Moderator
Moderator

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Hey,

I'm not sure, but in my opinion, it may possible to use Avamar 6.1 accelerator gen3 to backup Avamar server 7.0 Gen4S.

Avamar 7.0 NDMP Accelerator User Guide has following contents on page 49.

Running a newer later accelerator with a older Avamar server

If you upgrade accelerator software to a newer version, but do not also upgrade the Avamar server software to the same version, you must manually update the avtar binary on the Avamar server utility node. Otherwise, you will not be able to continue backing up to the older Avamar server.

I think in other words, it means avtar binary version needs to be same or higher than accelerator software version at least. Absolutely, the avtar binary of Avamar server 7.0 is higher than Avamar 6.1 accelerator software in your environment. It meets the requirement. In addition, I cannot find any documentation said accelerator gen3 cannot backup Avamar server 7.0. So, I think you can to try first.


Hope this helps.

0 Kudos
magicmarker
1 Nickel

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Hi Leo, I think I follow the same pattern of thinking as you. I had planned to try it first and if it does not work, to upgrade to the version of 7.0 NDMP accelerator software. I also read the documentation and it does not indicate there should be an issue. But I was not sure. I hope it is true, because I have to travel 7 hours to perform this work. Once I upgrade it, I understand it will not work with version 6.1, so there is no plan to reverse this.

But thank you very much for researching this also. I will be trying this on December 2nd, 2013.

Just as a side thought, is there a way to re-kick the accelerator node with SUSE Linux if something should go wrong in this process? Thanks......

0 Kudos
ionthegeek
4 Beryllium

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

I don't foresee any client compatibility issues with this. Avamar server version 7 is backward compatible with 6.1 clients including NDMP clients (though you wouldn't get any of the new features).

One important note -- all Gen3 systems use the RHEL 4u8 kickstart. Don't try to use the SLES kickstart on a Gen3 node of any type.

Moderator
Moderator

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Hey Marker,

Hope you can do it successfully.

And Ian mentioned "all Gen3 systems use the RHEL 4u8 kickstart. Don't try to use the SLES kickstart on a Gen3 node of any type" is very important information. You need to pay attention to it.

0 Kudos
magicmarker
1 Nickel

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Thanks Leo. I am hoping I will not have to re image the accelerator, but if I do, where on EMC's site is the kickstart image available. I am a partner.

0 Kudos
ionthegeek
4 Beryllium

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

You can find the complete re-kick procedure including the download links in the Miscellaneous Procedures section of the Procedure Generator.

0 Kudos
magicmarker
1 Nickel

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

Thanks Ian.

0 Kudos
ionthegeek
4 Beryllium

Re: Will NDMP Accelerator Gen3 on 6.1 work with Avamar 7.0 Gen4S

Jump to solution

My pleasure!

0 Kudos